"""
Enum definition
"""

from django.db import models


class Rank(models.TextChoices):
    """Rank enumeration"""
    ROOT = "ROOT"
    SUPERKINGDOM = "SUPERKINGDOM"
    KINGDOM = "KINGDOM"
    SUBKINGDOM = "SUBKINGDOM"
    SUPERPHYLUM = "SUPERPHYLUM"
    PHYLUM = "PHYLUM"
    SUBPHYLUM = "SUBPHYLUM"
    SUPERCLASS = "SUPERCLASS"
    CLASS = "CLASS"
    SUBCLASS = "SUBCLASS"
    INFRACLASS = "INFRACLASS"
    COHORT = "COHORT"
    SUBCOHORT = "SUBCOHORT"
    SUPERORDER = "SUPERORDER"
    ORDER = "ORDER"
    SUBORDER = "SUBORDER"
    INFRAORDER = "INFRAORDER"
    SUPERFAMILY = "SUPERFAMILY"
    FAMILY = "FAMILY"
    SUBFAMILY = "SUBFAMILY"
    TRIBE = "TRIBE"
    SUBTRIBE = "SUBTRIBE"
    GENUS = "GENUS"
    SUBGENUS = "SUBGENUS"
    SECTION = "SECTION"
    SUBSECTION = "SUBSECTION"
    SERIES = "SERIES"
    SPECIES = "SPECIES"
    SUBSPECIES = "SUBSPECIES"
    VARIETAS = "VARIETAS"
    SUBVARIETY = "SUBVARIETY"
    FORMA = "FORMA"
    FORMASPECIALIS = "FORMASPECIALIS"
    CLADE = "CLADE"
    STRAIN = "STRAIN"
    SEROGROUP = "SEROGROUP"
    SEROTYPE = "SEROTYPE"
    BIOTYPE = "BIOTYPE"
    GENOTYPE = "GENOTYPE"
    SPECIESGROUP = "SPECIESGROUP"
    SPECIESSUBGROUP = "SPECIESSUBGROUP"
    ISOLATE = "ISOLATE"
    PARVORDER = "PARVORDER"
    MORPH = "MORPH"
    PATHOGROUP = "PATHOGROUP"
    UNDEFINED = "UNDEFINED"
